#include "opencv.bi"

' trackbar with callback

sub cbRed CV_CDECL (r as long)
  locate 1,1 : print "red  : " & r
end sub
sub cbGreen CV_CDECL (g as long)
  locate 2,1 : print "green: " & g
end sub
sub cbBlue CV_CDECL (b as long)
  locate 3,1 : print "blue : " & b
end sub

dim as long r,g,b
cvNamedWindow("win") : cvResizeWindow("win",640,480)
cvCreateTrackbar("red"  ,"win",@r,255,@cbRed)
cvCreateTrackbar("green","win",@g,255,@cbGreen)
cvCreateTrackbar("blue" ,"win",@b,255,@cbBlue)

' loop with 30Hz while [ESC] not pressed
while cvWaitKey(1000/30)<>27
  locate 4,1 : print r,g,b
wend

cvDestroyWindow("win1")
